Bug 989149 - [RFE] Install changes-5.x.y file
[RFE] Install changes-5.x.y file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt5-qtbase (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-27 18:55 EDT by Ben Boeckel
Modified: 2013-12-06 11:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-06 11:25:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2013-07-27 18:55:33 EDT
The first paragraph on this[1] page mentions a filed named changes-5.0.0 which lists all changes for Qt5, but it is not installed with qt5-qtbase-devel (which it more likely belongs in). I'm guessing its in qt5-doc, but I don't have the bandwidth to check that easily.

[1]https://qt-project.org/doc/qt-5.0/qtdoc/sourcebreaks.html
Comment 1 Kevin Kofler 2013-07-31 17:01:26 EDT
Actually, the file you're looking for is always called changes-5.0.0, not 5.x.y:
http://qt.gitorious.org/qt/qtbase/blobs/stable/dist/changes-5.0.0
Comment 2 Ben Boeckel 2013-07-31 18:40:02 EDT
I also so changes-5.0.1 and other versions. Maybe just installing all of them would be possible (though doing just changes-4.* and changes-5.* globs for qt4 and qt5, respectively, makes sense)?
Comment 3 Rex Dieter 2013-11-26 09:32:25 EST
added
%doc dist/README dist/changes-%{version}

%changelog
* Tue Nov 26 2013 Rex Dieter <rdieter@fedoraproject.org> 5.2.0-0.8.beta1.20131108_141
- Install changes-5.x.y file (#989149)
Comment 4 Kevin Kofler 2013-11-30 08:58:11 EST
Well, that only installs the latest file and not the previous ones (e.g. the 5.0.0 one referred to by the porting guide).
Comment 5 Rex Dieter 2013-12-02 08:39:39 EST
Including them all is too big (almost 2mb) to include in the base pkg, IMO.

Options:
* put them in -devel instead
* make a qt5-qtbase-doc subpkg

opinions or other options?
Comment 6 Rex Dieter 2013-12-02 08:41:11 EST
Looking over the content of these... they look largely like api/dev documentation to me, so => -devel it is
Comment 7 Rex Dieter 2013-12-02 08:42:21 EST
I'm blind, we do have a -doc subpkg already, let's recycle that.
Comment 8 Rex Dieter 2013-12-06 11:25:22 EST
OK, now included in qt5-qtbase-doc:
%doc dist/README dist/changes-5.*

Note You need to log in before you can comment on or make changes to this bug.